Topic: Error with PHP 7

I got a lot of error when using PHP 7 in the web server. This is the link for the picture:

Please anyone help me.

Post's attachments

error_fa.png 875.2 kb, file has never been downloaded. 

You don't have the permssions to download the attachments of this post.

Re: Error with PHP 7

As of Feb 2016, the cambell-prince repo had some PHP 7 fixes.

Change all class constructors to be PHP 7 compliant. See this post.

eBook preview of constructor

Re: Error with PHP 7

Yes, I have some php7 fixes, and I have FA working on a server with php7 with no problems now.  I just checked, those fixes are not in the current 2.4.x master branch.